Skip to content
Environmental Impact

Environmental Impact

View the impact of your past usage, and estimate the impact of future usage.

Read more


Other Operations

get-impact-estimate

[BETA] Get an estimate of the impact of using products

POST /environmental-impact/estimate

[BETA] Returns an estimate of the impact of a unit of usage of one or more products, e.g. the impact of using a standard medium instance for one hour in ch-gva-2

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
skustringyesProduct SKU, e.g. compute:ch-gva-2:instance:standard:medium; can also include wildcards, e.g. compute::instance:standard: for all standard instances in all zones
metadataobjectno
Example
{
  "metadata": {},
  "sku": "string"
}

Responses

200: Impact estimate

Content-Type: application/json

PropertyTypeDescription
impactobjectMap of SKUs to their different impact indicators
Example output
{
  "impact": {}
}

400: Invalid request (e.g. product does not exist)

Content-Type: application/json

PropertyTypeDescription
detailstring
statusintegerMin: 100. Max: 599.
titlestring
Example output
{
  "detail": "string",
  "status": 0,
  "title": "string"
}

500: Internal server error

Content-Type: application/json

PropertyTypeDescription
detailstring
statusintegerMin: 100. Max: 599.
titlestring
Example output
{
  "detail": "string",
  "status": 0,
  "title": "string"
}

SDK reference for get-impact-estimate: golang | Python | Java

CLI: exo api get-impact-estimate

get-impact-report

[BETA] Get an environmental impact report

GET /environmental-impact/report

[BETA] Returns a breakdown of the impact of your organization’s usage over the given period

Query parameters

NameInRequiredDescription
fromqueryno
toqueryno

Responses

200: Environmental impact report

Content-Type: application/json

PropertyTypeDescription
impactobject
zonesobject
Example output
{
  "impact": {},
  "zones": {}
}

400: Invalid request (e.g. to date before from date)

Content-Type: application/json

PropertyTypeDescription
detailstring
statusintegerMin: 100. Max: 599.
titlestring
Example output
{
  "detail": "string",
  "status": 0,
  "title": "string"
}

500: Internal server error

Content-Type: application/json

PropertyTypeDescription
detailstring
statusintegerMin: 100. Max: 599.
titlestring
Example output
{
  "detail": "string",
  "status": 0,
  "title": "string"
}

SDK reference for get-impact-report: golang | Python | Java

CLI: exo api get-impact-report

Last updated on